.callback__btn {
    display: block;
    position: fixed !important;
    bottom: 50px;
    right: 40px;
    width: 70px;
    height: 70px;
    
    box-sizing: border-box;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 50%;
    cursor: pointer;
    border-radius: 50%;
    box-shadow: 0 8px 10px rgba(56, 163, 253, 0.3); 
    z-index: 999; 
    transition: background .3s ease-in-out, border .3s ease-in-out; 
    animation: hoverWave 1s linear infinite; 
}

/* Изменение стиля при наведении */
.callback__btn:hover {
background: #fff; /* Белый фон при наведении */
}

/* Стиль для контейнера с иконкой */
.callback__btn .img-btn {
display: flex; /* Используем flexbox для центрирования содержимого */
align-items: center; /* Вертикальное центрирование содержимого */
justify-content: center; /* Горизонтальное центрирование содержимого */
background-image: url(/local/components/stroisystema/callbackbanner/media/cb-open.png);
background-repeat: no-repeat;
background-position: center;
height: 100%; /* Высота контейнера */
width: 100%; /* Ширина контейнера */
transition: opacity .3s ease-in-out; /* Плавный переход для прозрачности */
animation: shake 1.2s ease infinite; /* Анимация тряски */
}

/* Изменение прозрачности иконки при наведении */
.callback__btn:hover .img-btn {
opacity: 0; /* Иконка становится прозрачной при наведении */
}

/* Стиль для контейнера с текстом */
.callback__btn .text-btn {
position: absolute; /* Абсолютное позиционирование */
top: 0; /* Верхний отступ */
left: 0; /* Левый отступ */
height: 100%; /* Высота контейнера */
width: 100%; /* Ширина контейнера */
display: flex; /* Используем flexbox для центрирования содержимого */
align-items: center; /* Вертикальное центрирование содержимого */
justify-content: center; /* Горизонтальное центрирование содержимого */
}

/* Стиль для текста */
.callback__btn .text-btn span {
font-size: 11px; /* Размер шрифта */
font-weight: 600; /* Толщина шрифта */
text-transform: uppercase; /* Преобразование текста в верхний регистр */
text-align: center; /* Центрирование текста */
opacity: 0; /* Текст невидим по умолчанию */
transition: opacity .3s ease-in-out; /* Плавный переход для прозрачности */
}

/* Изменение прозрачности текста при наведении */
.callback__btn:hover .text-btn span {
opacity: 1; /* Текст становится видимым при наведении */
}

/* Анимация волны */
@keyframes hoverWave {
0%, 100% {
    box-shadow: 0 8px 10px rgba(255, 152, 0, 0.3), 0 0 0 0 rgba(255, 152, 0, 0.2);
}
40% {
    box-shadow: 0 8px 10px rgba(255, 152, 0, 0.3), 0 0 0 15px rgba(255, 152, 0, 0.2);
}
80% {
    box-shadow: 0 8px 10px rgba(255, 152, 0, 0.3), 0 0 0 30px rgba(255, 152, 0, 0);
}
}

/* Анимация тряски */
@keyframes shake {
0%, 100% {
    transform: rotateZ(0deg);
}
10% {
    transform: rotateZ(-30deg);
}
20% {
    transform: rotateZ(15deg);
}
30% {
    transform: rotateZ(-10deg);
}
40% {
    transform: rotateZ(7.5deg);
}
50% {
    transform: rotateZ(-6deg);
}
60% {
    transform: rotateZ(5deg);
}
70% {
    transform: rotateZ(-4.3deg);
}
80% {
    transform: rotateZ(3.75deg);
}
90% {
    transform: rotateZ(-3.33deg);
}
}





.callback__banner {
    display: none;
    position: fixed !important;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 25px 50px;
    box-sizing: border-box;

    line-height: 1.5;
    font-family: "Montserrat", sans-serif;
    min-height: 200px;
    z-index: 9999;
}
.callback__banner.open {
    display: block;
}
.cb-banner {
    color: #5a5a5a;
}
.cb__close-btn {
    display: block;
    position: absolute;
    top: 10px;
    right: 10px;
    width: 24px;
    height: 24px;
    cursor: pointer;
}
.cb__close-btn svg path {
    stroke: #000;
    transition: all .3s;
}

.cb-banner__tab {
    display: none;
    margin: 0 auto !important;
    width: 500px !important;
    height: 100% !important;
}
.cb-banner__tab_active {
    display: block;
}
.cb-banner__nav {
    display: block;
    position: absolute;
    left: 12px;
    top: 12px;
}
.cb-banner__nav-el {
    display: block;
    position: relative;
    width: 48px;
    height: 48px;
    margin-top: 10px;
    box-sizing: border-box;
    border-radius: 50%;
    line-height: 48px;
    font-size: 11px;
    text-align: center;
    color: #000;
    cursor: pointer;
    opacity: 0.75;
}
.cb-banner__nav-el:first-of-type {
    margin-top: 0;
}
.cb-banner__nav-el:hover {
    opacity: 1;
}
.cb-banner__nav-el_active {
    opacity: 1;
    cursor: default;
}
.cb-banner__operator-list {
    display: block;
    position: absolute;
    right: 10px;
    top: 40px;
}
.cb-banner__operator-btn {
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
    border-bottom: 1px dashed #000;
    margin-bottom: 10px;
    color: #747474;
}
.cb-banner__operator-btn:hover{
    color:#000
}
.cb-banner__operator-btn_active {
    cursor: default;
}
.cb__form {
    display: flex;
    flex-direction: row;
    /*flex-wrap: nowrap;*/
    flex-wrap: wrap;
}
.cb__form-photo {
    display: block;
    position: relative;
    max-width: 134px;
}
.cb__form-photo-img {
    display: block;
    position: relative;
    border-radius: 50%;
    max-width: 100%;
}
.cb__form-photo-text {
    margin-top: 4px;
    font-size: 11px;
    text-align: center;

}
.cb__form-main {
    padding-left: 20px;
}
.cb__form-name {
    font-size: 23px;
}
.cb__form-text {
    margin-top: 4px;
    font-size: 16px;
}
.cb__form-input {
    width: 100%;
    margin-top: 15px;
}
.cb__form-input:first-of-type {
    margin-top: 0;
}
.cb__form-input input,
.cb__form-input textarea {
    border: 1px solid #b3b3b3;
width: 100%;
padding: 10px 10px;
text-transform: none !important;
text-align: left !important;
line-height: normal !important;
text-decoration: none !important;
border-radius: 21px;
outline: none;
resize: none;
background: #c3c3c3;
font-size: 16px;
}
.cb__form-input textarea {
    padding: 1px 10px;
}
.cb__form-input-alert {
    display: none;
    color: red;
    font-size: 12px;
}
.cb__form-input_error input {
    border-color: red;
}
.cb__form-input_error .cb__form-input-alert {
    display: block;
}
.cb__form-btn-container {
    margin-top: 15px;
}
.cb__form-btn, .cb__form-btn_next {
    display: inline-block;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
    width: 270px;
    height: 39px;
    user-select: none;
    border-radius: 0.25rem;
    color: #ffffff;
    line-height: 36px;
    align-self: flex-start;
    margin-left: 0px;
    border-radius: 20px;
    text-transform: uppercase;
}
.cb__form-row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin-top: 10px;
    justify-content: space-between;
}
.cb__form-row:first-of-type {
    margin-top: 0;
}
.cb__form-col {
    display: block;
    position: relative;
    width: 100%;
}
.cb__form-col_40 {
    width: 40%;
}
.cb__form-col_55 {
    width: 55%;
}
.cb__form-agreement {
    font-size: 13px;
    line-height: 14px;
}
.cb__form-agreement input {
    margin: 0;
}
.cb__form-btn, .cb__form-btn_next{
    width: 100%;
}